> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Exam Session

> Closes the exam session, finalizing the session state and triggering post-session workflows.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json post /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/close
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/close:
    post:
      tags:
        - Exam Session
      summary: Close Exam Session
      description: >-
        Closes the exam session, finalizing the session state and triggering
        post-session workflows.
      operationId: postV1InstallsInstallsidExamsExamsidSessionsSessionsidClose
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: sessionSid
          in: path
          schema:
            type: string
            description: Exam Session Sid
            pattern: ^ES[a-f0-9]{32}$
          description: Exam Session Sid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloseSession'
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    CloseSession:
      type: object
      description: Exam session close payload
      properties:
        type:
          $ref: '#/components/schemas/Model48'
        reason:
          $ref: '#/components/schemas/reason'
      required:
        - type
        - reason
    Model48:
      type: string
      description: Session type
      enum:
        - b-virtual
        - ad-hoc
        - instructor-as-proctor
        - messaging
        - proctoru
        - register-blast
        - vtc
        - examity
        - smarter-scheduling
        - automated
    reason:
      type: string
      description: Reason for closing
      enum:
        - exam-completed
        - technical-issue
        - other-reason
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````